websitename: ZIPLoyalty
url: "https://ziployalty.com"  # the base hostname for your site
baseurl: ""  # The subpath of your site, e.g. /blog/. Used only when your site that doesn’t sit at the root of the domain. 

markdown: kramdown

sass:
    sass_dir: _includes/sass
    style: compressed

plugins:
  - jekyll-paginate-v2

include:
  - "assets/_images"

exclude: # These files are excluded from the site build, and will not be uploaded
  - vendor
  - node_modules
  - Gemfile
  - Gemfile.lock
  - rakefile
  - less
  - Gruntfile.js
  - package.json
  - s3_website.yml  # Contains Amazon S3 credentials and must be excluded from the site build
  - .jekyll-cache

# --- Pagination --- #
autopages:
  enabled: false           # Site-wide kill switch, disable here and it doesn't run at all 

  categories:             # Category pages, omit entire config element to disable
    enabled: true
    layouts:              # Optional, the list of layouts that should be processed for every category found in the site
      - 'autopage_articles_ar.html'
      - 'autopage_articles_de.html'
      - 'autopage_articles_default.html'
      - 'autopage_articles_es.html'
      - 'autopage_articles_fr.html'
      - 'autopage_articles_it.html'
      - 'autopage_articles_ja.html'
      - 'autopage_collections_ar.html'
      - 'autopage_collections_de.html'
      - 'autopage_collections_default.html'
      - 'autopage_collections_es.html'
      - 'autopage_collections_fr.html'
      - 'autopage_collections_it.html'
      - 'autopage_collections_ja.html'
    title: 'Posts in category :cat'         # Optional, the title that each category paginate page should get (:cat is replaced by the Category name)
    #permalink: '/category/:cat'            # Optional, the permalink for the pagination page (:cat is replaced by the category name), the pagination permalink path is then appended to this permalink structure
    silent: false                           # Optional, when true logging related to category pages will be supressed.
    slugify:
      mode: 'default'   # :cat is slugified. Modes: default, raw, pretty, ascii, latin
      case: false       # Whether to replace all uppercase letters with their lowercase counterparts

  collections:          # Collection pages, omit to disable
    enabled: false
    layouts: 
      - 'autopage_collection.html'
    title: 'Posts in collection :coll' # :coll is replaced by the collection name
    permalink: '/collection/:coll'
    silent: false
    slugify:
      mode: 'default'   # :coll is slugified.
      case: false 
  
  tags:                 # Tag pages, omit to disable
    enabled: false
    layouts: 
      - 'autopage_tags.html'
    title: 'Posts tagged with :tag' # :tag is replaced by the tag name
    permalink: '/tag/:tag'
    silent: false
    slugify:
      mode: 'default'   # :tag is slugified.
      case: false

pagination: 
  enabled: true
  per_page: 11
  permalink: '/:num/'
  title: ":title (page :num)"
  sort_field: 'date'
  sort_reverse: true
  trail:
    before: 5
    after: 5

# --- Jekyll Picture Tag Parameters --- #
picture:
  source: "assets/_images"
  output: "assets/images"
  ignore_missing_images: true
  suppress_warnings: true 
  fast_build: false
  relative_url: false
  dimension_attributes: true # Prevent page reflow while images are loading, by adding width and height attributes to the <img> tag in the correct aspect ratio.



# ---  App Parameters --- #
appointment:                                  # Appointment App
  service_id: 21
  support_service_id: 36
  websitename: Zip Loyalty

mautic_live_url: https://g1.customerology.com     # Mautic - marketing automation

# --- Collections --- #
collections_dir: collections # specifies the collections directory.
collections:
#--- Default Language ---#
  default_articles:
    output: true
    permalink: /blog/:title:output_ext
  default_authors:
    output: true
    permalink: /authors/:title:output_ext
  default_collections:
    output: true
    permalink: /collections/:title:output_ext
  default_integrations:
    output: true
    permalink: /integrations/:title:output_ext
  default_topiccluster:
    output: true
    permalink: /topics/:title:output_ext
  default_company:
    output: true
    permalink: /companies/:title:output_ext
  default_credibility:
    output: true
    permalink: /companies/why-altametrics/:title:output_ext
  default_comparison:
    output: true
    permalink: /comparison/:title:output_ext
  default_locale:
    output: true
    permalink: /locale/:title:output_ext
  default_industry:
    output: true
    permalink: /industries/:title:output_ext
  default_marketing:
    output: true
    permalink: /marketing/:title:output_ext
  default_template:
    output: true
    permalink: /template/:title:output_ext
#--- Arabic Language (/ar) ---#
  ar_articles:
    output: true
    permalink: /ar/blog/:title:output_ext
  ar_authors:
    output: true
    permalink: /ar/authors/:title:output_ext
  ar_collections:
    output: true
    permalink: /ar/collections/:title:output_ext
  ar_integrations:
    output: true
    permalink: /ar/integrations/:title:output_ext
  ar_topiccluster:
    output: true
    permalink: /ar/restaurants101/:title:output_ext
#--- German Language (/de) ---#
  de_articles:
    output: true
    permalink: /de/blog/:title:output_ext
  de_authors:
    output: true
    permalink: /de/authors/:title:output_ext
  de_collections:
    output: true
    permalink: /de/collections/:title:output_ext
  de_integrations:
    output: true
    permalink: /de/integrations/:title:output_ext
  de_topiccluster:
    output: true
    permalink: /de/restaurants101/:title:output_ext
#--- Spanish Language (/es) ---#
  es_articles:
    output: true
    permalink: /es/blog/:title:output_ext
  es_authors:
    output: true
    permalink: /es/authors/:title:output_ext
  es_collections:
    output: true
    permalink: /es/collections/:title:output_ext
  es_integrations:
    output: true
    permalink: /es/integrations/:title:output_ext
  es_topiccluster:
    output: true
    permalink: /es/restaurants101/:title:output_ext
#--- French Language (/fr) ---#
  fr_articles:
    output: true
    permalink: /fr/blog/:title:output_ext
  fr_authors:
    output: true
    permalink: /fr/authors/:title:output_ext
  fr_collections:
    output: true
    permalink: /fr/collections/:title:output_ext
  fr_integrations:
    output: true
    permalink: /fr/integrations/:title:output_ext
  fr_topiccluster:
    output: true
    permalink: /fr/restaurants101/:title:output_ext
#--- Italian Language (/it) ---#
  it_articles:
    output: true
    permalink: /it/blog/:title:output_ext
  it_authors:
    output: true
    permalink: /it/authors/:title:output_ext
  it_collections:
    output: true
    permalink: /it/collections/:title:output_ext
  it_integrations:
    output: true
    permalink: /it/integrations/:title:output_ext
  it_topiccluster:
    output: true
    permalink: /it/restaurants101/:title:output_ext
#--- Japanese Language (/ja) ---#
  ja_articles:
    output: true
    permalink: /ja/blog/:title:output_ext
  ja_authors:
    output: true
    permalink: /ja/authors/:title:output_ext
  ja_collections:
    output: true
    permalink: /ja/collections/:title:output_ext
  ja_integrations:
    output: true
    permalink: /ja/integrations/:title:output_ext
  ja_topiccluster:
    output: true
    permalink: /ja/restaurants101/:title:output_ext